ServerEvents.tags('item', event => {
  
  event.add('supplementaries:throwable_bricks', 'architects_palette:wardstone_brick')

  event.add('forge:fruits', '#forge')

  event.add('forge:fruit', '#forge:berries')

  // Fox food
  event.removeAll('minecraft:fox_food')
  event.add('minecraft:fox_food', '#forge:cooked_eggs')
  event.add('minecraft:fox_food', '#forge:eggs')
  event.add('minecraft:fox_food', '#forge:fruit')
  event.add('minecraft:fox_food', 'minecraft:cooked_rabbit')
  event.add('minecraft:fox_food', 'minecraft:rabbit_foot')
  event.add('minecraft:fox_food', 'minecraft:rabbit')

  // Tagging Ingots and Nuggets and Blocks correctly
  event.add('forge:ingots', 'aether_redux:gravitite_ingot')
  event.add('forge:ingots', 'aether_redux:veridium_ingot')
  event.add('forge:ingots', 'deep_aether:stratus_ingot')
  event.add('forge:ingots/gravitite', 'aether_redux:gravitite_ingot')

  event.add('forge:nuggets', 'aether_redux:veridium_nugget')
  event.add('forge:nuggets', 'architects_palette:nether_brass_nugget')
  event.add('forge:nuggets/veridium', 'aether_redux:veridium_nugget')

  event.add('forge:storage_blocks', 'upgrade_aquatic:boiled_pickerelweed_block')
  event.add('forge:storage_blocks', 'upgrade_aquatic:kelp_block')
  event.add('forge:storage_blocks', 'upgrade_aquatic:pickerelweed_block')
  event.add('forge:storage_blocks', 'upgrade_aquatic:scute_block')
  event.add('forge:storage_blocks', 'upgrade_aquatic:tooth_block')

  // Dusts and Sands and Hourglass stuff
  event.add('forge:dusts', 'create:wheat_flour')
  event.add('forge:dusts', 'illagerinvasion:illusionary_dust')
  event.add('forge:dusts', 'illagerinvasion:unusual_dust')
  event.add('forge:dusts', 'minecraft:blaze_powder')
  event.add('forge:dusts', 'minecraft:gunpowder')
  event.add('forge:dusts', 'netherexp:banshee_powder')
  event.add('forge:dusts', 'spelunkery:dust')
  event.add('forge:dusts', 'spelunkery:salt')
  event.add('forge:dusts', 'spelunkery:saltpeter')
  event.add('forge:dusts', 'spelunkery:sulfur')
  event.add('forge:dusts/salt', 'spelunkery:salt')

  event.add('supplementaries:hourglass_dusts', '#forge:dusts')
  event.add('supplementaries:hourglass_dusts', '#forge:sand')
  // event.remove('forge:dusts', 'minecraft:prismarine_shard') // Doesn't work?

  // Storage blocks
  event.add('forge:storage_blocks', '#forge:storage_blocks/acorn')
  event.add('forge:storage_blocks', '#forge:storage_blocks/adzuki_beans')
  event.add('forge:storage_blocks', '#forge:storage_blocks/banana')
  event.add('forge:storage_blocks', '#forge:storage_blocks/black_tea_leaves')
  event.add('forge:storage_blocks', '#forge:storage_blocks/bullet_pepper')
  event.add('forge:storage_blocks', '#forge:storage_blocks/cabbage')
  event.add('forge:storage_blocks', '#forge:storage_blocks/cave_carrot')
  event.add('forge:storage_blocks', '#forge:storage_blocks/chorus_fruit')
  event.add('forge:storage_blocks', '#forge:storage_blocks/cinnabar')
  event.add('forge:storage_blocks', '#forge:storage_blocks/coffee_beans')
  event.add('forge:storage_blocks', '#forge:storage_blocks/corn')
  event.add('forge:storage_blocks', '#forge:storage_blocks/dust')
  event.add('forge:storage_blocks', '#forge:storage_blocks/green_tea_leaves')
  event.add('forge:storage_blocks', '#forge:storage_blocks/lead_bolt')
  event.add('forge:storage_blocks', '#forge:storage_blocks/lime')
  event.add('forge:storage_blocks', '#forge:storage_blocks/onion')
  event.add('forge:storage_blocks', '#forge:storage_blocks/pomegranate')
  event.add('forge:storage_blocks', '#forge:storage_blocks/raw_magnetite')
  event.add('forge:storage_blocks', '#forge:storage_blocks/raw_veridium')
  event.add('forge:storage_blocks', '#forge:storage_blocks/refined_sentrite')
  event.add('forge:storage_blocks', '#forge:storage_blocks/roasted_adzuki_beans')
  event.add('forge:storage_blocks', '#forge:storage_blocks/rose_quartz')
  event.add('forge:storage_blocks', '#forge:storage_blocks/rotten_flesh')
  event.add('forge:storage_blocks', '#forge:storage_blocks/salmonberries')
  event.add('forge:storage_blocks', '#forge:storage_blocks/salt')
  event.add('forge:storage_blocks', '#forge:storage_blocks/saltpeter')
  event.add('forge:storage_blocks', '#forge:storage_blocks/slime')
  event.add('forge:storage_blocks', '#forge:storage_blocks/stratus')
  event.add('forge:storage_blocks', '#forge:storage_blocks/sugar')
  event.add('forge:storage_blocks', '#forge:storage_blocks/sulfur')
  event.add('forge:storage_blocks', '#forge:storage_blocks/tangle_roots')
  event.add('forge:storage_blocks', '#forge:storage_blocks/tomato')
  event.add('forge:storage_blocks', '#forge:storage_blocks/veridium')
  event.add('forge:storage_blocks', '#forge:storage_blocks/yellow_tea_leaves')
  event.add('forge:storage_blocks', 'forge:storage_blocks/blueberry')
  event.add('forge:storage_blocks', 'forge:storage_blocks/foul_berry')
  event.add('forge:storage_blocks', 'forge:storage_blocks/glow_berry')
  event.add('forge:storage_blocks', 'forge:storage_blocks/goldenleaf_berry')
  event.add('forge:storage_blocks', 'forge:storage_blocks/mulberry')
  event.add('forge:storage_blocks', 'forge:storage_blocks/strawberry')
  event.add('forge:storage_blocks', 'forge:storage_blocks/sweet_berry')
  event.add('forge:storage_blocks', 'forge:storage_blocks/white_strawberry')

  event.add('forge:storage_blocks/acorn', 'delightful:acorn_sack')
  event.add('forge:storage_blocks/adzuki_beans', 'neapolitan:adzuki_crate')
  event.add('forge:storage_blocks/ambrosium', 'aether:ambrosium_block')
  event.add('forge:storage_blocks/banana', 'neapolitan:banana_crate')
  event.add('forge:storage_blocks/black_tea_leaves', 'farmersrespite:black_tea_leaves_sack')
  event.add('forge:storage_blocks/blueberry', 'ascended_quark:blue_berry_crate')
  event.add('forge:storage_blocks/bullet_pepper', 'mynethersdelight:bullet_pepper_crate')
  event.add('forge:storage_blocks/cave_carrot', 'miners_delight:cave_carrot_crate')
  event.add('forge:storage_blocks/cinnabar', 'caverns_and_chasms:amethyst_block')
  event.add('forge:storage_blocks/cinnabar', 'spelunkery:cinnabar_block')
  event.add('forge:storage_blocks/coffee_beans', 'farmersrespite:coffee_beans_sack')
  event.add('forge:storage_blocks/corn', 'hauntedharvest:corn_crate')
  event.add('forge:storage_blocks/dust', 'spelunkery:dust_block')
  event.add('forge:storage_blocks/flint', 'supplementaries:flint_block')
  event.add('forge:storage_blocks/foul_berry', 'autumnity:foul_berry_basket')
  event.add('forge:storage_blocks/glow_berry', 'berry_good:glow_berry_basket')
  event.add('forge:storage_blocks/goldenleaf_berry', 'ascended_quark:goldenleaf_berries_crate')
  event.add('forge:storage_blocks/green_tea_leaves', 'farmersrespite:green_tea_leaves_sack')
  event.add('forge:storage_blocks/jade', 'sullysmod:jade_block')
  event.add('forge:storage_blocks/lead_bolt', 'oreganized:lead_bolt_crate')
  event.add('forge:storage_blocks/lime', 'collectorsreap:lime_crate')
  event.add('forge:storage_blocks/mulberry', 'upgrade_aquatic:mulberry_punnet')
  event.add('forge:storage_blocks/pomegranate', 'collectorsreap:pomegranate_crate')
  event.add('forge:storage_blocks/raw_veridium', 'aether_redux:raw_veridium_block')
  event.add('forge:storage_blocks/refined_sentrite', 'aether_redux:refined_sentrite_block')
  event.add('forge:storage_blocks/roasted_adzuki_beans', 'neapolitan:roasted_adzuki_crate')
  event.add('forge:storage_blocks/rose_quartz', 'create:rose_quartz_block')
  event.add('forge:storage_blocks/rotten_flesh', 'caverns_and_chasms:rotten_flesh_block')
  event.add('forge:storage_blocks/salmonberries', 'delightful:salmonberry_sack')
  event.add('forge:storage_blocks/salt', 'spelunkery:salt_block')
  event.add('forge:storage_blocks/saltpeter', 'spelunkery:saltpeter_block')
  event.add('forge:storage_blocks/slime', 'minecraft:slime_block')
  event.add('forge:storage_blocks/stratus', 'deep_aether:stratus_block')
  event.add('forge:storage_blocks/strawberry', 'neapolitan:strawberry_basket')
  event.add('forge:storage_blocks/sulfur', 'spelunkery:sulfur_block')
  event.add('forge:storage_blocks/sweet_berry', 'berry_good:sweet_berry_basket')
  event.add('forge:storage_blocks/tangle_roots', 'spelunkery:tangle_roots_block')
  event.add('forge:storage_blocks/veridium', 'aether_redux:veridium_block')
  event.add('forge:storage_blocks/white_strawberry', 'neapolitan:white_strawberry_basket')
  event.add('forge:storage_blocks/yellow_tea_leaves', 'farmersrespite:yellow_tea_leaves_sack')

  // Other general and compat tags
  event.add('forge:bones', 'aether_redux:blightbunny_fang')
  event.add('forge:bones', 'wan_ancient_beasts:eater_tooth')
  event.add('forge:buckets/ectoplasm', 'netherexp:ectoplasm_bucket')
  event.add('forge:buckets/lumisene', 'supplementaries:lumisene_bucket')
  event.add('forge:buckets/molten_amber', 'sullysmod:molten_amber_bucket')
  event.add('forge:buckets/spring_water', 'spelunkery:spring_water_bucket')
  event.add('forge:cooked_fishes/bass', 'naturalist:cooked_bass')
  event.add('forge:eggs', 'minecraft:sniffer_egg')
  event.add('forge:eggs', 'miners_delight:silverfish_eggs')
  event.add('forge:eggs', 'naturalist:snail_eggs')
  event.add('forge:eggs', 'wan_ancient_beasts:crusher_egg')
  event.add('forge:eggs', 'wan_ancient_beasts:eater_egg')
  event.add('forge:eggs', 'wan_ancient_beasts:glider_egg')
  event.add('forge:eggs', 'wan_ancient_beasts:soarer_egg')
  event.add('forge:eggs', 'wan_ancient_beasts:walker_egg')
  event.add('forge:feathers', 'wan_ancient_beasts:glider_feather')
  event.add('forge:gems', 'galosphere:allurite_shard')
  event.add('forge:gems', 'galosphere:lumiere_shard')
  event.add('forge:grain', 'aether_redux:wynd_oat_panicle')
  event.add('forge:honey', 'create:honey_bucket')
  event.add('forge:honey', 'minecraft:honey_bottle')
  event.add('forge:milk/milk_bottle', 'splash_milk:milk_bottle')
  event.add('forge:raw_fishes/bass', 'naturalist:bass')
  event.add('forge:shields', 'wan_ancient_beasts:reinforced_shield')
  event.add('forge:slimeballs', 'autumnity:snail_goo')
  event.add('forge:tools/shields', 'wan_ancient_beasts:reinforced_shield')

  event.add('forge:bread', 'autumnity:pumpkin_bread')
  event.add('forge:bread', 'delightful:cantaloupe_bread')
  event.add('forge:bread', 'neapolitan:banana_bread')

  event.add('forge:cheese', 'brewinandchewin:scarlet_cheese_wedge')
  event.add('forge:cheese', 'netherexp:glowcheese')

  event.add('forge:fruits/berry', 'aether_redux:blightbunny_fang')

  event.add('forge:mushrooms/portabella', 'spelunkery:portabella')
  event.add('forge:mushrooms/glowshroom', 'quark:glow_shroom')
  event.add('forge:mushrooms', 'quark:glow_shroom')

  event.add('forge:moss', 'quark:moss_paste')

  event.add('forge:fruits/blueberry', 'aether:blue_berry')

  event.add('brewinandchewin:pizza_toppings', '#forge:crops/onion')
  event.add('brewinandchewin:pizza_toppings', '#forge:mushroom')

  event.add('forge:buckets', '#forge:buckets/ectoplasm')
  event.add('forge:buckets', '#forge:buckets/lumisene')
  event.add('forge:buckets', '#forge:buckets/molten_amber')
  event.add('forge:buckets', '#forge:buckets/molten_lead')
  event.add('forge:buckets', '#forge:buckets/spring_water')
  event.add('naturalist:snake_tempt_items', '#forge:eggs')

  event.add('minecraft:planks', '#aether:planks_crafting')

  event.add('forge:ingots/brick', 'vanillabackport:resin_brick')
  event.add('deep_aether:skyjade_repairing', '#forge:gems/jade')
  event.add('forge:raw_fishes', 'wan_ancient_beasts:toxlacanth')
  event.add('forge:cooked_fishes', 'wan_ancient_beasts:cooked_toxlacanth')

  event.remove('minecraft:small_flowers', 'deep_aether:golden_flower')
  event.add('minecraft:tall_flowers', 'deep_aether:golden_flower')

  event.add('minecraft:small_flowers', 'farmersrespite:wild_coffee_bush')

  event.add('aether:dungeon_keys', 'deep_aether:brass_dungeon_key')

  event.add('aether:holystone', 'aether_redux:gilded_holystone')
  event.add('aether:holystone', 'aether_redux:blightmoss_holystone')
  event.add('quark:stone_tool_materials', '#aether:holystone')

  event.add('neapolitan:dried_vanilla_pods', 'aether_redux:vanilla_swet_ball')

  // Modpack-specific stuff

  // Explosives
  event.add('caramel:explosives', 'chasms_and_caverns:tmt')
  event.add('caramel:explosives', 'galosphere:silver_bomb')
  event.add('caramel:explosives', 'minecraft:tnt')
  event.add('caramel:explosives', 'oreganized:shrapnel_bomb')
  event.add('caramel:explosives', 'spelunkery:mineomite')
  event.add('caramel:explosives', 'supplementaries:bomb_blue')
  event.add('caramel:explosives', 'supplementaries:bomb')
  event.add('caramel:explosives', 'collectorsreap:stygian_pomegranate')

  // Arrowheads
  event.add('caramel:basic_arrowheads', 'minecraft:flint')
  event.add('caramel:basic_arrowheads', 'sullysmod:arrowhead')
  event.add('caramel:basic_arrowheads', 'sullysmod:piranha_tooth')
  event.add('caramel:basic_arrowheads', 'upgrade_aquatic:thrasher_tooth')
  event.add('caramel:basic_arrowheads', 'wan_ancient_beasts:eater_tooth')

  event.add('caramel:shulker_arrowheads', '#forge:shulker_meat')
  event.add('caramel:shulker_arrowheads', '#forge:roasted_shulker_meat')
  
  // Rope and Canvas-making materials
  event.add('caramel:rope_materials', '#forge:string')
  event.add('caramel:rope_materials', 'farmersdelight:straw')
  event.add('caramel:rope_materials', 'spelunkery:tangle_roots')
  event.add('caramel:rope_materials', 'supplementaries:flax')
  event.add('caramel:rope_materials', 'deep_aether:cloudbloom_bouquet')

  // Bamboo-like things
  event.add('caramel:bamboo', 'minecraft:bamboo')
  event.add('caramel:bamboo', 'mynethersdelight:powder_cannon')

  // Stuff for the top of scaffolding
  event.add('caramel:scaffolding_net', 'farmersdelight:canvas')
  event.add('caramel:scaffolding_net', '#forge:ropes')

  // Nether Pizza toppings
  event.add('caramel:nether_pizza_toppings', '#netherexp:cooked_hogham')
  event.add('caramel:nether_pizza_toppings', '#forge:raw_strider')
  event.add('caramel:nether_pizza_toppings', 'netherexp:cerebrage')
  event.add('caramel:nether_pizza_toppings', 'mynethersdelight:bullet_pepper')

  // Nether Wart-like items
  event.add('caramel:nether_wart', 'minecraft:nether_wart')
  event.add('caramel:nether_wart', 'netherexp:warped_wart')


})
